%define build_svn	1
%if %{build_svn} == 1
%define	pname	%{name}-svn
%else
%define pname	%{name}-%{version}
%endif
Name:		echoping
Version:	6.0.2.99
Release:	2.3
Group:		Productivity/Networking/Diagnostic
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	openssl-devel libidn-devel popt-devel zlib-devel postgresql-devel openldap-devel
BuildRequires:	pkgconfig
BuildRequires:	autoconf automake libtool
URL:		http://echoping.sf.net/
Source:		%{pname}.tar.bz2
Summary: TCP Performance Measurement Tool

%description
"echoping" is a small program to test (approximatively) performances of a
remote host by sending it TCP "echo" (or other protocol) packets.

%package       plugins
Summary:       Plugins for %{name}
Group:         Applications/Internet
Requires:      %{name} = %{version}-%{release}

%description   plugins
The %{name}-plugins package contains PostgreSQL, LDAP, WHOIS and DNS 
performance measurement plugins for echoping.

%package       devel
Summary:       Development files for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description   devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -n %{pname}

%build
[ ! -e configure ] && (ln -s /usr/share/libtool/config/ltmain.sh ; sh recreate-autofiles)
CFLAGS="%{optflags} -D_GNU_SOURCE -I/usr/include/pgsql" %configure \
        --enable-icp \
        --enable-http \
        --enable-smtp \
        --enable-tos \
        --enable-priority \
        --with-libidn \
        --with-ssl \
        --disable-static \
%{__make}

%install
%__make DESTDIR=%{buildroot} install
%{__rm} -f %{buildroot}%{_libdir}/%{name}/random.*
%{__rm} -f %{buildroot}%{_mandir}/man1/%{name}_random.1*
%{__rm} -f %{buildroot}%{_libdir}/%{name}/*.la

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
#%attr(4755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%doc AUTHORS ChangeLog README COPYING DETAILS TODO

%files plugins
%defattr(-,root,root,-)
%{_mandir}/man1/%{name}_*.1*
%{_libdir}/%{name}
%{_libdir}/%{name}/dns.so.*
%{_libdir}/%{name}/ldap.so.*
%{_libdir}/%{name}/postgresql.so.*
%{_libdir}/%{name}/whois.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/
%{_libdir}/%{name}/*.so
%exclude %{_libdir}/%{name}/postgresql.so
%exclude %{_libdir}/%{name}/dns.so
%exclude %{_libdir}/%{name}/ldap.so
%exclude %{_libdir}/%{name}/whois.so

%changelog
* Fri Dec 13 2013 cs@linux-administrator.com
- import svn version
